Page MenuHomePhabricator

Upgrade pandoc package to at least 1.12.3
Closed, ResolvedPublic

Description

In change 360895, we added pandoc to list of installed packages so that we could render R Markdown reports to pdf/html on stat1002. Unfortunately, it seems the installed version is 1.12.2.1 (very outdated, from 2013) but the rmarkdown package requires pandoc >= 1.12.3 to render documents.

Could someone please upload a more recent version of pandoc to WMF's repo?

Event Timeline

mpopov created this task.Jun 22 2017, 8:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2017, 8:40 PM
mpopov triaged this task as Normal priority.Jun 22 2017, 8:41 PM
mpopov moved this task from Needs triage to Tracking on the Discovery-Analysis board.
Gehel added a subscriber: Gehel.Jun 27 2017, 9:20 AM

pandoc 1.12.4 is already available in Debian Jessie, maybe it is time to migrate discovery dashboards to Jessie?

The blocker on movign to Jessie was the availability of shiny-server. I opened T168967 to track that part. We'll see if it is easier to provide a newer version of pandoc on Trusty or to provide shiny-server for Jessie.

This is for stat100* nodes (that use https://github.com/wikimedia/puppet/tree/production/modules/statistics)

@Gehel: we had a similar issue with R where the version in the repo was outdated by like 7 years and Oliver and I couldn't do a lot of things we wanted/needed to do. But then a year and a half ago @yuvipanda heard us complaining about how outdated R was on the analytics machines and just uploaded the latest version (at the time) and it was THE BEST. I'm hoping you or @Ottomata could do the same with pandoc :D

yuvipanda removed a subscriber: yuvipanda.
Ottomata closed this task as Resolved.Jul 18 2017, 5:44 PM
Ottomata claimed this task.

pandoc from Debian Stretch is 1.17.2~dfsg-3.